> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytsoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update administration credit cases

> Update administration credit cases



## OpenAPI

````yaml /openapi3.json patch /v1/credit_cases
openapi: 3.0.0
info:
  title: API Endpoints
  description: >-
    This page allows you to explore the available API endpoints. Select a
    resource (e.g. debtors) and an endpoint (e.g. /v1/debtors) to inspect an
    example response and available parameters. An authorization header
    containing a Bearer token is required, see
    [Authentication](/authentication/authorization).
  version: 1.0.0
servers:
  - url: https://api.paytsoftware.com
    description: Production
  - url: https://demo-api.paytsoftware.com
    description: Demo / testing
security:
  - bearerAuth: []
tags:
  - name: administrations
    description: Operations about administrations
  - name: companies
    description: Operations about companies
  - name: contacts
    description: Operations about contacts
  - name: credit_cases
    description: Operations about credit_cases
  - name: debtors
    description: Operations about debtors
  - name: files
    description: Operations about files
  - name: health_care
    description: Operations about health_cares
  - name: orders
    description: Operations about orders
  - name: order_lines
    description: Operations about order_lines
  - name: invoices
    description: Operations about invoices
  - name: labels
    description: Operations about labels
  - name: messages
    description: Operations about messages
  - name: notes
    description: Operations about notes
  - name: notifications
    description: Operations about notifications
  - name: payments
    description: Operations about payments
  - name: payment_conditions
    description: Operations about payment_conditions
  - name: payment_plans
    description: Operations about payment_plans
  - name: psp_mandates
    description: Operations about psp_mandates
  - name: psp_transactions
    description: Operations about psp_transactions
  - name: sign_up
    description: Operations about sign_ups
  - name: tasks
    description: Operations about tasks
  - name: vat_rates
    description: Operations about vat_rates
paths:
  /v1/credit_cases:
    patch:
      tags:
        - credit_cases
      summary: Update administration credit cases
      description: Update administration credit cases
      operationId: patchV1CreditCases
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/patchV1CreditCases'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/patchV1CreditCases'
        required: true
      responses:
        '200':
          description: Credit cases updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_SuccessEntity'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
        '403':
          description: Access not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
components:
  schemas:
    patchV1CreditCases:
      type: object
      properties:
        administration_id:
          type: string
          description: Administration identifier
        credit_cases:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: >-
                  Credit case identifier, may be listed only once per request.
                  The changes of a credit case are applied together: when one
                  fails, none are applied.
              paused:
                type: boolean
                description: >-
                  When true the credit case is paused, when false it is resumed.
                  Credit cases that cannot be paused or resumed, for example
                  because they are already paid, are reported in the warnings.
              labels:
                type: array
                description: >-
                  Labels of the credit case. If labels are provided then all
                  must be provided, any labels not in the request are removed
                  from the credit case.
                items:
                  type: string
              payments:
                type: array
                description: >-
                  Payments of the interest and the debt collection costs of the
                  credit case. The amounts of a credit case cannot be changed,
                  they can only be paid or written off. The list is incremental:
                  a payment of which the origin_identifier is already known is
                  updated instead of registered again, values left out keep
                  their registered value.
                items:
                  type: object
                  properties:
                    origin_identifier:
                      type: string
                      description: >-
                        Origin identifier of the payment, should be unique in
                        the administration
                    amount:
                      type: string
                      description: >-
                        The amount that was paid, in the currency of the credit
                        case, greater than zero
                    cost_type:
                      type: string
                      description: >-
                        The costs the payment is registered on. When not
                        provided the amount is registered on the debt collection
                        costs first and on the interest after that, unless it
                        matches the open interest exactly, which counts as an
                        interest payment.
                      enum:
                        - interest_costs
                        - debt_collection_costs
                    payment_date:
                      type: string
                      description: >-
                        Date of the payment. If not provided the current date is
                        used. The date cannot be in the future and cannot be
                        before the date the collection of the credit case
                        started.
                    description:
                      type: string
                      description: Description of the payment
                    remission:
                      type: boolean
                      description: >-
                        When true the amount is written off instead of
                        registered as received.
                      default: false
                  required:
                    - origin_identifier
                    - amount
            required:
              - id
      required:
        - administration_id
        - credit_cases
      description: Update administration credit cases
    CustomerApi_SuccessEntity:
      type: object
      properties:
        success:
          type: boolean
          description: Request was handled successfully
        count:
          type: integer
          format: int32
          example: 98
          description: Number of records processed, those without errors
        errors:
          type: object
          example:
            '123456':
              - Validation error 1
              - Validation error 2
            '123461':
              - Validation error
          description: List of records that could not be processed and for which reasons
        warnings:
          type: object
          example:
            '123457':
              - Warning message 1
              - Warning message 2
          description: >-
            List of records that were partially processed, the messages contain
            warnings
      required:
        - success
        - count
        - errors
      description: CustomerApi_SuccessEntity model
    CustomerApi_ErrorEntity:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      required:
        - code
        - message
      description: CustomerApi_ErrorEntity model
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        OAuth2 access token or static API token. See
        [Authorization](/authentication/authorization) for how to obtain one.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.